com.holonplatform.json.internal

## Class JsonProviders

- java.lang.Object
- - com.holonplatform.json.internal.JsonProviders

-     public final class JsonProviders
      extends Object

  Default `JsonProvider`s handler by `ClassLoader`.
  Since:
    5.1.0

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Optional<JsonProvider>` | `getDefaultJsonProvider()` Get the default `JsonProvider`, if any.
    `static Optional<JsonProvider>` | `getDefaultJsonProvider(ClassLoader classLoader)` Get the default `JsonProvider`, if any, for given ClassLoader.
    `static List<JsonProvider>` | `getJsonProviders(ClassLoader classLoader)` Get the registered `JsonProviders`s for given ClassLoader.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getDefaultJsonProvider

          public static Optional<JsonProvider> getDefaultJsonProvider()

      Get the default `JsonProvider`, if any. The default `JsonProvider` is the first registered provider, i.e. the one with higher priority.
      Returns:
        Optional default `JsonProvider`

    - #### getDefaultJsonProvider

          public static Optional<JsonProvider> getDefaultJsonProvider(ClassLoader classLoader)

      Get the default `JsonProvider`, if any, for given ClassLoader. The default `JsonProvider` is the first registered provider, i.e. the one with higher priority.
      Parameters:
        `classLoader` - ClassLoader to use
      Returns:
        Optional default `JsonProvider`

    - #### getJsonProviders

          public static List<JsonProvider> getJsonProviders(ClassLoader classLoader)

      Get the registered `JsonProviders`s for given ClassLoader.
      Parameters:
        `classLoader` - ClassLoader to use (not null)
      Returns:
        Providers list

Copyright © 2019 The Holon Platform. All rights reserved.